/*
!=======================================================================
!
!  PROGRAM  PHASE-Viewer  (PHASE-Viewer 2014.01 ver.3.3.0)
!
!  Created on ----
!  AUTHOR(S): KOGA, Junichiro
!  File : PPInfo.java
!  
!  Contact address :  Phase System Consortium
!                     E-mail: phase_system@nims.go.jp URL https://azuma.nims.go.jp
!
!
!   Since 2002, this program set had been intensively developed as a part of the following 
!  national projects supported by the Ministry of Education, Culture, Sports, Science and
!  Technology (MEXT) of Japan; "Frontier Simulation Software for Industrial Science
!  (FSIS)" from 2002 to 2005, "Revolutionary Simulation Software (RSS21)" from 2006 to
!  2008. "Research and Development of Innovative Simulation Software (RISS)" from 2008
!  to 2013. These projects is lead by the Center for Research on Innovative Simulation 
!  Software (CISS), the Institute of Industrial Science (IIS), the University of Tokyo.
!   Since 2013, this program set has been further developed centering on PHASE System
!  Consortium. 
!   The activity of development of this program set has been supervised by Takahisa Ohno.
!
!=======================================================================
 */
package ciss.phase_viewer.common;

public class PPInfo {

    private int NumPot;

    private String[] natomn;
    private String[] ival;
    private String[] iloc;
    private String[] itpcc;
    private String[] pptype;

    private boolean bpptype;

    /**
     * 擬ポテンシャル数を指定し, それに応じた初期化を行う. 擬ポテンシャルの情報については, CIAOユーザーマニュアル を参照せよ.
     * 
     * @param NumPot
     *            擬ポテンシャル数.
     */
    public PPInfo(int NumPot) {
        this.NumPot = NumPot;
        natomn = new String[NumPot];
        ival = new String[NumPot];
        iloc = new String[NumPot];
        itpcc = new String[NumPot];
        pptype = new String[NumPot];
    }

    /**
     * 
     * @uml.property name="natomn"
     */
    public void setNatomn(String[] natomn) {
        this.natomn = natomn;
    }

    /**
     * 
     * @uml.property name="ival"
     */
    public void setIval(String[] ival) {
        this.ival = ival;
    }

    /**
     * 
     * @uml.property name="iloc"
     */
    public void setIloc(String[] iloc) {
        this.iloc = iloc;
    }

    /**
     * 
     * @uml.property name="itpcc"
     */
    public void setItpcc(String[] itpcc) {
        this.itpcc = itpcc;
    }

    public void setPPtype(String[] pptype) {
        this.pptype = pptype;
    }

    public void setbPPtype(boolean bpptype) {
        this.bpptype = bpptype;
    }

    /**
     * 
     * @uml.property name="natomn"
     */
    public String[] getNatomn() {
        return (natomn);
    }

    /**
     * 
     * @uml.property name="ival"
     */
    public String[] getIval() {
        return (ival);
    }

    /**
     * 
     * @uml.property name="iloc"
     */
    public String[] getIloc() {
        return (iloc);
    }

    /**
     * 
     * @uml.property name="itpcc"
     */
    public String[] getItpcc() {
        return (itpcc);
    }

    public String[] getPPtype() {
        return (pptype);
    }

    public boolean getbPPtype() {
        return (bpptype);
    }

}
